faumachine_20160511-1_amd64.deb


Advertisement

Description

faumachine - Virtual machine running in user mode

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: faumachine
Package version: 20160511
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 9.31 KB
Download size: 1007.99 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: faumachine

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install faumachine deb package:
      # sudo apt-get install faumachine

    Changelog

    2016-05-26 - Stefan Potyra <sistpoty@ubuntu.com> faumachine (20160511-1) unstable; urgency=medium * New upstream release, highlights: + Builds with newer gcc versions (Closes: #746843, #821874) + Correct placement of config.h includes (Closes: #749633) + Many other improvements. * All patches have been incorporated upstream: + debian/patches: Removed + debian/control: Remove patch-stamp, unpatch targets. * Switch to new debian source format: + debian/source/format -> 3.0 (quilt), no further changes required. * debian/control: + Remove obsolete DM-Upload-Allowed. + Packaging complies to Standards-Version 3.9.8 with the other changes done. + Remove Homepage field, since the current homepage is only temporary. This release was downloaded from <http://potyra.de/FAUmachine/releases/faumachine-20160511.tar.xz>, You can find old releases, contacts and more information at: <https://www3.informatik.uni-erlangen.de/Research/FAUmachine/> + Comment-out Built-Using field, since dpkg no longer seems to support it. + Update maintainer address. * debian/watch: Removed, since the current homepage is only temporary. * debian/faumachine.docs: Remove STATE and AUTHORS (files no longer present). * debian/faumachine.menu: Removed, obsoleted in favor of the desktop file. * debian/rules: Remove dh_installmenu.

    2013-10-27 - Stefan Potyra <sistpoty@ubuntu.com> faumachine (20120707-3) unstable; urgency=low * Use absolute path in desktop file and faum-script: + debian/patches/absolute_path.patch (Closes: #727095).

    2013-07-12 - Stefan Potyra <sistpoty@ubuntu.com> faumachine (20120707-2) unstable; urgency=low * debian/rules: Add minimalistic patch system. * debian/patches/mayhem.patch: Add backported patch from upstream to fix mayhem bug reports (Volkmar Sieh). Closes: #715889, #715890. * debian/control: + Update Standards-Version to 3.9.4. + Declare Built-Using on libfauhdli-dev (statically linked).

    2012-07-07 - Stefan Potyra <sistpoty@ubuntu.com> faumachine (20120707-1) unstable; urgency=low * Acknowledge NMUs: Thanks a lot! * New upstream release, highlights: + Fix build failures with gcc-4.7 (See DBTS: #667162). + New camera component. + Suspend/Resume functionality for interactive use. + As always: Many code cleanups and bug fixes. * debian/control: + No longer force gcc-4.6. + Update standards-version to 3.9.3 (no changes necessary). + Force newer FAUcc, since the BIOS build system has been extended to make use of the new capabilities. * debian/rules: + add build-arch/build-indep rules.

    2012-06-21 - Adam Conrad <adconrad@debian.org> faumachine (20110812-1.2) unstable; urgency=low * Fix the workaround from the previous NMU on i386 (Closes: #678415)

    2012-05-28 - Matthias Klose <doko@debian.org> faumachine (20110812-1.1) unstable; urgency=low * Work around build failure with GCC 4.7. Closes: #667162.

    2011-08-12 - Stefan Potyra <sistpoty@ubuntu.com> faumachine (20110812-1) unstable; urgency=low * New upstream release, highlights: + Fix build failure with binutils-gold (Closes: #618074). + Add camera component. + Support 64-bit mainboard. + New handling of virtual media. + And many other bugfixes and improvements. * debian/rules: Drop patch logic, no longer needed. * debian/patches/*, debian/README.source: removed, all upstream. * debian/control: + update standards-version to 3.9.2, no changes needed. + drop build-dependency on etherboot (Closes: #634041). The code that made use of the copied ROM file has been gone for a while. + tighten build-dependency against libfauhdli-dev and dependency against fauhdlc to accommodate the changed ABI of the intermediate code. + change section to misc.

    Advertisement
    Advertisement